pqxx::thread_safety_model Struct Reference

Descriptor of library's thread-safety model. More...

`#include <util.hxx>`

## Public Attributes

bool | safe_libpq = false
| Is the underlying libpq build thread-safe?
bool | safe_kerberos = false
| Is Kerberos thread-safe?
std::string | description
| A human-readable description of any thread-safety issues.

## Detailed Description

Descriptor of library's thread-safety model.

This describes what the library knows about various risks to thread-safety.

## Member Data Documentation

## description

std::string pqxx::thread_safety_model::description

A human-readable description of any thread-safety issues.

Referenced by pqxx::describe_thread_safety().

## safe_kerberos

bool pqxx::thread_safety_model::safe_kerberos = false

Is Kerberos thread-safe?

Warning
  Is currently always `false`.

If your application uses Kerberos, all accesses to libpqxx or Kerberos must be serialized. Confine their use to a single thread, or protect it with a global lock.

Referenced by pqxx::describe_thread_safety().

## safe_libpq

bool pqxx::thread_safety_model::safe_libpq = false

Is the underlying libpq build thread-safe?

Referenced by pqxx::describe_thread_safety().

The documentation for this struct was generated from the following file:

- util.hxx